﻿using apifon_sdk_csharp.com.apifon.sdk.response;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace apifon_sdk_csharp.com.apifon.sdk.exception
{
    public class OAuthException : ApifonRestException
    {
        public OAuthException(string message) : base(message, ApiErrorResponse.getOAuthTokenResponse())
        {
            
        }

        public OAuthException(Exception ex) : base(ex, ApiErrorResponse.getOAuthTokenResponse())
        {
            
        }

        public OAuthException(string message, Exception ex) : base(message, ex, ApiErrorResponse.getOAuthTokenResponse())
        {
            
        }
    }
}
