﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;

namespace apifon_sdk_csharp.com.apifon.sdk.model
{
    [DataContract]
    public class LandingProperties
    {
        private string url;
        private Dictionary<String, String> data;
        private bool redirect;
        private string method;
        private bool preventSysParams;

        [DataMember(Name = "url")]
        public string Url
        {
            get { return url; }
            set { url = value; }
        }

        [DataMember(Name = "data")]
        private Dictionary<String, String> Data
        {
            get { return data; }
            set { data = value; }
        }

        [DataMember(Name = "redirect")]
        public bool Redirect
        {
            get { return redirect; }
            set { redirect = value; }
        }

        [DataMember(Name = "method")]
        public string Method
        {
            get { return method; }
            set { method = value; }
        }

        [DataMember(Name = "prevent_sys_params")]
        public bool PreventSysParams
        {
            get { return preventSysParams; }
            set { preventSysParams = value; }
        }

        public void AddData(string key, string value)
        {
            if(data == null)
            {
                data = new Dictionary<string, string>();
            }
            data.Add(key, value);
        }
    }
}
