﻿using apifon_sdk_csharp.com.apifon.sdk.helpers;
using apifon_sdk_csharp.com.apifon.sdk.model;
using apifon_sdk_csharp.com.apifon.sdk.serializer;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace apifon_sdk_csharp.com.apifon.sdk.response
{
    [DataContract]
    public class BounceResponse : SingleResponse
    {
        [DataMember(Name = "destination")]
        public string destination;
        [DataMember(Name = "type")]
        public string type;
        [DataMember(Name = "reason")]
        public string reason;
        [JsonConverter(typeof(DateAdapter))]
        [DataMember(Name = "date_created")]
        public DateTime dateCr;
        [DataMember(Name = "user")]
        public string user;
        [DataMember(Name = "description")]
        public string description;

        public string getDestination()
        {
            return destination;
        }


        public void setDestination(string destination)
        {
            this.destination = destination;
        }


        public string getType()
        {
            return type;
        }


        public void setType(string type)
        {
            this.type = type;
        }


        public string getReason()
        {
            return reason;
        }


        public void setReason(string reason)
        {
            this.reason = reason;
        }

        public DateTime getDateCr()
        {
            return dateCr;
        }


        public void setDateCr(DateTime dateCr)
        {
            this.dateCr = dateCr;
        }

        public string getUser()
        {
            return user;
        }

        public void setUser(string user)
        {
            this.user = user;
        }

        public string getDescription()
        {
            return description;
        }

        public void setDescription(string description)
        {
            this.description = description;
        }
    }
}
