﻿using System.Runtime.Serialization.Json;
using System.Text;
using System.IO;

namespace com.apifon.utils
{
    class JSONSerializer
    {
        public static T JSONDesrilize<T>(string JSONdata)
        {
            DataContractJsonSerializer jsonSer = new DataContractJsonSerializer(typeof(T));
            MemoryStream stream = new MemoryStream(Encoding.UTF8.GetBytes(JSONdata));
            T obj = (T)jsonSer.ReadObject(stream);
            return obj;
        }

        public static string JSONSerialize<T>(T obj)
        {
            MemoryStream stream = new MemoryStream();
            DataContractJsonSerializer jsonSer = new DataContractJsonSerializer(typeof(T));
            jsonSer.WriteObject(stream, obj);
            stream.Position = 0;
            StreamReader sr = new StreamReader(stream);
            return sr.ReadToEnd();
        }
    }
}
