using System;
using System.Security.Cryptography;

namespace com.apifon.utils
{ 
    public class SignedRequestsHelper
    {
        private string pkey;

        public SignedRequestsHelper(string privateKey)
        {
            this.pkey = privateKey;
        }       

        public string hmac(string stringToSign)
        {
            var encoding = new System.Text.UTF8Encoding();
            byte[] keyByte = encoding.GetBytes(pkey);
            byte[] messageBytes = encoding.GetBytes(stringToSign);
            using (var hmacsha256 = new HMACSHA256(keyByte))
            {
                byte[] hashmessage = hmacsha256.ComputeHash(messageBytes);
                return Convert.ToBase64String(hashmessage);
            }
        }
    }
}
